#! /bin/bash

start()
{
	if [ -e ./Config.ini ]
		then
			control4=`cat Config.ini | grep ControlIPv4`
			control6=`cat Config.ini | grep ControlIPv6`
			maxport=`cat Config.ini | grep MaxPort`		
			minport=`cat Config.ini | grep MinPort`
			downdelay=`cat Config.ini | grep Down_Delay` 
			mismatch=`cat Config.ini | grep Mismatch` 
			bind=`cat Config.ini | grep Bind` 
			#Reference https://wiki.bash-hackers.org/syntax/pe
			control4=${control4##*=}   
			control6=${control6##*=}
			control4=${control4:=42000}
			control6=${control6:=42002}
			maxport=${maxport#*=}
			minport=${minport#*=}
			maxport=${maxport:=39999}
			minport=${minport:=39682}
			downdelay=${downdelay#*=}
			downdelay=${downdelay:=1000}
			mismatch=${mismatch#*=}
			bind=${bind#*=}		
			
			if [ -z "$bind" ]
				then
					bindmode="Scenario IP"
			else
				bindmode=$bind
			fi
			
			echo
			echo ================================================== 
			echo "1. Control Port Setting (Control Port IPv4 $control4, IPv6 $control6)"
			echo "2. Port Range Setting (From $minport To $maxport)"
			echo "3. Command Dely Setting ($downdelay ms)"
			echo "4. Version Mismatch Mode ($mismatch)"
			echo "5. Binding IP Setting ($bindmode)"
			echo "6  Set to Default"
			echo "7. Exit"
			echo ==================================================
			echo
			setting

	else
		writtenDefault
		start
	fi
}

setting()
{
	echo -n "Pleaese choose menu you want to do : "
	read setup
	case $setup in
		1)
			echo
			echo -n "Enter the ControlIPv4 Port number for IperfDaemon : " 
			read control4
			echo -n "Enter the ControlIPv6 Port number for IperfDaemon : "
			read control6
			written
			echo
			echo "Control Port Setting is completed!"
			start;;
		
		2)
			echo
			echo "Enter the Port Range Num you want to use for IperfDaemon (from...to...)"
			echo -n "Start Port Num : "
			read minport
			echo -n "End Port Num : "
			read maxport
			written
			echo	
			echo "Port Range Setting is completed!"
			start;;
		
		3)
			echo
			echo "Enter the Delay time for Iperf command"
			echo -n "Delay time (ms) : "
			read downdelay
			written
			echo
			echo "Delay time Setting is completed!"
			start;;
			
		4)	
			echo
			echo "Enter the Mismatch Mode (1 : Mismatch On / 2 : Mismatch Off)"
			echo -n "Mode : "
			read mode
			
			if [ $mode = 1 ]
				then
					mismatch=ON
			elif [ $mode = 2 ]
				then
					mismatch=OFF
			else
				echo
				echo "Incorrect menu! Please choose again."
				start
			fi
		
			written
			echo
			echo "Version Mismatch Setting is completed!"
			start;;
						
		5)
			echo
			echo "Enter the Binding Mode or IP Address (0 : Use Scenario IP / IP Address : Use Entered IP)"
			echo -n "Mode or IP Address : "
			read ip
			
			if [ $ip = "0" ]
				then
					bind=""
			else
				bind=$ip
			fi	
						
			written
			echo
			echo "Binding Setting is completed!"
			start;;	
		
		6) 
			writtenDefault
			echo
			echo "Default Setting is completed!"
			start;;			
			
		7)			
			exit;;
			
		*)
			echo
			echo "Incorrect menu! Please choose again."
			echo		
			start;;
	esac
}

written()
{
	
	echo "[Config]" > Config.ini
	echo "ControlIPv4=$control4" >> Config.ini
	echo "ControlIPv6=$control6" >> Config.ini
	echo "MaxPort=$maxport" >> Config.ini
	echo "MinPort=$minport"	>> Config.ini
	echo "Down_Delay=$downdelay" >> Config.ini
	echo "Port_Timer=10000" >> Config.ini
	echo "Version_Mismatch=$mismatch" >> Config.ini
	echo "Bind=$bind" >> Config.ini
	
}

writtenDefault()
{
	
	echo "[Config]" > Config.ini
	echo "ControlIPv4=42000" >> Config.ini
	echo "ControlIPv6=42002" >> Config.ini
	echo "MaxPort=39999" >> Config.ini
	echo "MinPort=39682"	>> Config.ini
	echo "Down_Delay=1000" >> Config.ini
	echo "Port_Timer=10000" >> Config.ini
	echo "Version_Mismatch=ON" >> Config.ini
	echo "Bind=" >> Config.ini
	
}

start
