#! /bin/bash

start()
{
	if [ -e ./Config.ini ]
		then
			control4=`cat Config.ini | grep ControlIPv4`
			control6=`cat Config.ini | grep ControlIPv6`
			maxport=`cat Config.ini | grep MaxPort`		
			minport=`cat Config.ini | grep MinPort`
			downdelay=`cat Config.ini | grep Down_Delay`  
			#Reference https://wiki.bash-hackers.org/syntax/pe
			control4=${control4##*=}   
			control6=${control6##*=}
			control4=${control4:=42000}
			control6=${control6:=42002}
			maxport=${maxport#*=}
			minport=${minport#*=}
			maxport=${maxport:=39999}
			minport=${minport:=39682}
			downdelay=${downdelay#*=}
			downdelay=${downdelay:=1000}			
			echo
			echo ================================================== 
			echo "1. Control Port Setting (Control Port IPv4 $control4, IPv6 $control6)"
			echo "2. Port Range Setting (From $minport To $maxport)"
			echo "3. Command Dely setting ($downdelay ms)"	
			echo "4. Exit"
			echo ==================================================
			echo
			setting

	else
		echo
		echo ==================================================	
		echo "1. Control Port Setting (Control Port IPv4 42000, IPv6 42002)"
		echo "2. Port Range Setting (Default)"
		echo "3. Command Delay setting (1000 ms)"
		echo "4. Exit"
		echo ==================================================
		echo
		setting	
	fi
}

setting()
{
	echo -n "Pleaese choose menu you want to do : "
	read setup
	case $setup in
		1)
			echo -n "Input ControlIPv4 Port number for IperfDaemon : " 
			read control4
			echo -n "Input ControlIPv6 Port number for IperfDaemon : "
			read control6
			written
			echo "Control Port Setting is completed!"
			clear	
			start;;
		
		2)
			echo "Enter the Port Range Num you want to use for IperfDaemon (from...to...)"
			echo -n "Start Port Num : "
			read minport
			echo -n "End Port Num : "
			read maxport
			written			
			echo "Port Range Setting is completed!"
			clear
			start;;
		
		3)
			echo "Enter Delay time for Iperf command"
			echo -n "Delay time (ms) : "
			read downdelay
			written
			echo "Delay time Setting is completed!"
			clear
			start;;
		4)
			clear			
			exit;;
		*)
			echo "Incorrect menu! Please choose again."
			clear			
			start;;
	esac
}

written()
{
	
	echo "[Config]" > Config.ini
	echo "ControlIPv4=$control4" >> Config.ini
	echo "ControlIPv6=$control6" >> Config.ini
	echo "MaxPort=$maxport" >> Config.ini
	echo "MinPort=$minport"	>> Config.ini
	echo "Down_Delay=$downdelay" >> Config.ini
	echo "Port_Timer=10000" >> Config.ini
	
}

start
